summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMikko Koppanen <mkoppanen@php.net>2010-12-01 10:33:07 +0100
committerMartin Sustrik <sustrik@250bpm.com>2010-12-01 10:33:07 +0100
commit5bb0a339be31064900257e04e2ffd32e80911d63 (patch)
tree13799f448fe4e7ebb90d23251a9ae98228b35eb4 /autogen.sh
parent17d7e6ede0f907461130302cf4bddcdf9e2737cf (diff)
Prefix variables with "ac_zmq_"
- Added a macro for checking clang compiler - Moved basic compiler checks to a macro - Added a macro for checking if compiler supports a flag - Added --enable-debug flag - Added a macro for running normal autoconf check with compiler flags - Added a macro for checking for verbose flag for different compilers (-Wall) - Added a macro for turning on strict standards compliance - Added a macro for turning warnings to errors - Added a macro for checking if compiler supports given pragma - Most of the flags now go through checks if the compilers supports them rather than enumerating different compilers - Added DSO symbol visibility for sun compiler - Enabled verbose mode for sun compiler - Fixed build for ICC 12.x by adding -wd279 to size_t checks - Removed pkg-config checks as those don't seem to be used anywhere Signed-off-by: Mikko Koppanen <mkoppanen@php.net>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh6
1 files changed, 0 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index cab10da..b14e278 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -18,12 +18,6 @@
# Script to generate all required files from fresh git checkout.
-command -v pkg-config >/dev/null 2>&1
-if [ $? -ne 0 ]; then
- echo "autogen.sh: error: could not find pkg-config. pkg-config is required to run autogen.sh." 1>&2
- exit 1
-fi
-
command -v libtool >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2